<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "http://java.sun.com/dtd/web-app_2_3.dtd">
<web-app>
	<display-name>web</display-name>
	<servlet>
		<servlet-name>SpecJhome</servlet-name>
		<display-name>SpecJhome</display-name>
		<jsp-file>/SpecJhome.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>welcome</servlet-name>
		<display-name>welcome</display-name>
		<jsp-file>/welcome.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>SpecAppServlet</servlet-name>
		<display-name>SpecAppServlet</display-name>
		<servlet-class>org.spec.jappserver.servlet.SpecAppServlet</servlet-class>
	</servlet>
	<servlet>
		<servlet-name>dealerinventory</servlet-name>
		<display-name>dealerinventory</display-name>
		<jsp-file>/dealerinventory.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>loginSummary</servlet-name>
		<display-name>loginSummary</display-name>
		<jsp-file>/loginSummary.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>order</servlet-name>
		<display-name>order</display-name>
		<jsp-file>/order.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>purchase</servlet-name>
		<display-name>purchase</display-name>
		<jsp-file>/purchase.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>shoppingcart</servlet-name>
		<display-name>shoppingcart</display-name>
		<jsp-file>/shoppingcart.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>error</servlet-name>
		<display-name>error</display-name>
		<jsp-file>/error.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>mfg_incl_footer</servlet-name>
		<display-name>mfg_incl_footer</display-name>
		<jsp-file>/mfg_incl_footer.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>mfg_incl_header</servlet-name>
		<display-name>mfg_incl_header</display-name>
		<jsp-file>/mfg_incl_header.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>mfghome</servlet-name>
		<display-name>mfghome</display-name>
		<jsp-file>/mfghome.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>mfglargeorder</servlet-name>
		<display-name>mfglargeorder</display-name>
		<jsp-file>/mfglargeorder.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>mfgschedulewo</servlet-name>
		<display-name>mfgschedulewo</display-name>
		<jsp-file>/mfgschedulewo.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>mfgwelcome</servlet-name>
		<display-name>mfgwelcome</display-name>
		<jsp-file>/mfgwelcome.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>mfgworkorder</servlet-name>
		<display-name>mfgworkorder</display-name>
		<jsp-file>/mfgworkorder.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>dealership_incl_header</servlet-name>
		<display-name>dealership_incl_header</display-name>
		<jsp-file>/dealership_incl_header.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>dealership_incl_footer</servlet-name>
		<display-name>dealership_incl_footer</display-name>
		<jsp-file>/dealership_incl_footer.jsp</jsp-file>
	</servlet>
        <servlet>
		<servlet-name>atomicity</servlet-name>
		<display-name>atomicity</display-name>
		<jsp-file>/atomicity.jsp</jsp-file>
	</servlet>
	<servlet>
		<servlet-name>cachetest</servlet-name>
		<display-name>cachetest</display-name>
		<jsp-file>/cachetest.jsp</jsp-file>
	</servlet>
	<servlet-mapping>
		<servlet-name>SpecAppServlet</servlet-name>
		<url-pattern>/app</url-pattern>
	</servlet-mapping>	
	<welcome-file-list>
		<welcome-file>index.html</welcome-file>
		<welcome-file>index.htm</welcome-file>
		<welcome-file>index.jsp</welcome-file>
		<welcome-file>default.html</welcome-file>
		<welcome-file>default.htm</welcome-file>
		<welcome-file>default.jsp</welcome-file>
	</welcome-file-list>
	<env-entry>
		<description>The debug level of the bean - higher value means more information</description>
		<env-entry-name>debuglevel</env-entry-name>
		<env-entry-value>0</env-entry-value>
		<env-entry-type>java.lang.Integer</env-entry-type>
	</env-entry>
	<env-entry>
		<description>Used to state if web to ejb tier uses local interfaces</description>
		<env-entry-name>localwebtoejb</env-entry-name>
		<env-entry-value>true</env-entry-value>
		<env-entry-type>java.lang.Boolean</env-entry-type>
	</env-entry>
	<ejb-ref>
		<ejb-ref-name>ejb/CustomerSes</ejb-ref-name>
		<ejb-ref-type>Session</ejb-ref-type>
		<home>org.spec.jappserver.corp.customerses.ejb.CustomerSesHome</home>
		<remote>org.spec.jappserver.corp.customerses.ejb.CustomerSes</remote>
		<ejb-link>CustomerSes</ejb-link>
	</ejb-ref>
	<ejb-ref>
		<ejb-ref-name>ejb/OrderSes</ejb-ref-name>
		<ejb-ref-type>Session</ejb-ref-type>
		<home>org.spec.jappserver.orders.orderses.ejb.OrderSesHome</home>
		<remote>org.spec.jappserver.orders.orderses.ejb.OrderSes</remote>
		<ejb-link>OrderSes</ejb-link>
	</ejb-ref>
	<ejb-ref>
		<ejb-ref-name>ejb/ItemBrowserSes</ejb-ref-name>
		<ejb-ref-type>Session</ejb-ref-type>
		<home>org.spec.jappserver.orders.itemBrowserSes.ejb.ItemBrowserSesHome</home>
		<remote>org.spec.jappserver.orders.itemBrowserSes.ejb.ItemBrowserSes</remote>
		<ejb-link>ItemBrowserSes</ejb-link>
	</ejb-ref>
	<ejb-ref>
		<ejb-ref-name>ejb/WorkOrderSes</ejb-ref-name>
		<ejb-ref-type>Session</ejb-ref-type>
		<home>org.spec.jappserver.mfg.workorderses.ejb.WorkOrderSesHome</home>
		<remote>org.spec.jappserver.mfg.workorderses.ejb.WorkOrderSes</remote>
		<ejb-link>WorkOrderSes</ejb-link>
	</ejb-ref>
	<ejb-ref>
		<ejb-ref-name>ejb/LargeOrderSes</ejb-ref-name>
		<ejb-ref-type>Session</ejb-ref-type>
		<home>org.spec.jappserver.mfg.largeorderses.ejb.LargeOrderSesHome</home>
		<remote>org.spec.jappserver.mfg.largeorderses.ejb.LargeOrderSes</remote>
		<ejb-link>LargeOrderSes</ejb-link>
	</ejb-ref>
	<ejb-ref>
		<ejb-ref-name>ejb/OrderAuditSes</ejb-ref-name>
		<ejb-ref-type>Session</ejb-ref-type>
		<home>org.spec.jappserver.orders.orderauditses.ejb.OrderAuditSesHome</home>
		<remote>org.spec.jappserver.orders.orderauditses.ejb.OrderAuditSes</remote>
		<ejb-link>OrderAuditSes</ejb-link>
	</ejb-ref>
	<ejb-local-ref>
		<ejb-ref-name>ejb/CustomerSesLocal</ejb-ref-name>
		<ejb-ref-type>Session</ejb-ref-type>
		<local-home>org.spec.jappserver.corp.customerses.ejb.CustomerSesHomeLocal</local-home>
		<local>org.spec.jappserver.corp.customerses.ejb.CustomerSesLocal</local>
		<ejb-link>CustomerSes</ejb-link>
	</ejb-local-ref>
	<ejb-local-ref>
		<ejb-ref-name>ejb/OrderSesLocal</ejb-ref-name>
		<ejb-ref-type>Session</ejb-ref-type>
		<local-home>org.spec.jappserver.orders.orderses.ejb.OrderSesHomeLocal</local-home>
		<local>org.spec.jappserver.orders.orderses.ejb.OrderSesLocal</local>
		<ejb-link>OrderSes</ejb-link>
	</ejb-local-ref>
	<ejb-local-ref>
		<ejb-ref-name>ejb/ItemBrowserSesLocal</ejb-ref-name>
		<ejb-ref-type>Session</ejb-ref-type>
		<local-home>org.spec.jappserver.orders.itemBrowserSes.ejb.ItemBrowserSesHomeLocal</local-home>
		<local>org.spec.jappserver.orders.itemBrowserSes.ejb.ItemBrowserSesLocal</local>
		<ejb-link>ItemBrowserSes</ejb-link>
	</ejb-local-ref>
</web-app>
